Class Fox::FXStatusbar

In: | FXStatusbar.rb
Parent: | FXHorizontalFrame

Status bar

### Events

The following messages are sent by FXStatusbar to its target:

### Status bar options

`STATUSBAR_WITH_DRAGCORNER`: | Causes the drag corner to be shown

Methods

new

Attributes

cornerStyle | [RW] | If `true`, the drag corner is shown [Boolean]
dragCorner | [R] | The drag corner widget [FXDragCorner]
statusline | [R] | The status line widget [FXStatusline]

Public Class methods

new(p, opts=0, x=0, y=0, w=0, h=0, pl=3, pr=3, pt=2, pb=2, hs=4, vs=0) {|theStatusbar| ...}

Construct status bar with or without a drag corner